Index: palm/trunk/SOURCE/lpm_advec.f90
===================================================================
--- palm/trunk/SOURCE/lpm_advec.f90	(revision 1584)
+++ palm/trunk/SOURCE/lpm_advec.f90	(revision 1682)
@@ -1,4 +1,3 @@
- SUBROUTINE lpm_advec (ip,jp,kp)
-
+!> @file lpm_advec.f90
 !--------------------------------------------------------------------------------!
 ! This file is part of PALM.
@@ -20,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-!
+! Code annotations made doxygen readable
 !
 ! Former revisions:
@@ -61,8 +60,10 @@
 ! Description:
 ! ------------
-! Calculation of new particle positions due to advection using a simple Euler
-! scheme. Particles may feel inertia effects. SGS transport can be included
-! using the stochastic model of Weil et al. (2004, JAS, 61, 2877-2887).
+!> Calculation of new particle positions due to advection using a simple Euler
+!> scheme. Particles may feel inertia effects. SGS transport can be included
+!> using the stochastic model of Weil et al. (2004, JAS, 61, 2877-2887).
 !------------------------------------------------------------------------------!
+ SUBROUTINE lpm_advec (ip,jp,kp)
+ 
 
     USE arrays_3d,                                                             &
@@ -99,85 +100,85 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  agp                         !:
-    INTEGER(iwp) ::  gp_outside_of_building(1:8) !:
-    INTEGER(iwp) ::  i                           !:
-    INTEGER(iwp) ::  ip                          !:
-    INTEGER(iwp) ::  j                           !:
-    INTEGER(iwp) ::  jp                          !:
-    INTEGER(iwp) ::  k                           !:
-    INTEGER(iwp) ::  kp                          !:
-    INTEGER(iwp) ::  kw                          !:
-    INTEGER(iwp) ::  n                           !:
-    INTEGER(iwp) ::  nb                          !:
-    INTEGER(iwp) ::  num_gp                      !:
-
-    INTEGER(iwp), DIMENSION(0:7) ::  start_index !:
-    INTEGER(iwp), DIMENSION(0:7) ::  end_index   !:
-
-    REAL(wp) ::  aa                 !:
-    REAL(wp) ::  bb                 !:
-    REAL(wp) ::  cc                 !:
-    REAL(wp) ::  d_sum              !:
-    REAL(wp) ::  d_z_p_z0           !:
-    REAL(wp) ::  dd                 !:
-    REAL(wp) ::  de_dx_int_l        !:
-    REAL(wp) ::  de_dx_int_u        !:
-    REAL(wp) ::  de_dy_int_l        !:
-    REAL(wp) ::  de_dy_int_u        !:
-    REAL(wp) ::  de_dt              !:
-    REAL(wp) ::  de_dt_min          !:
-    REAL(wp) ::  de_dz_int_l        !:
-    REAL(wp) ::  de_dz_int_u        !:
-    REAL(wp) ::  diss_int_l         !:
-    REAL(wp) ::  diss_int_u         !:
-    REAL(wp) ::  dt_gap             !:
-    REAL(wp) ::  dt_particle_m      !:
-    REAL(wp) ::  e_int_l            !:
-    REAL(wp) ::  e_int_u            !:
-    REAL(wp) ::  e_mean_int         !:
-    REAL(wp) ::  exp_arg            !:
-    REAL(wp) ::  exp_term           !:
-    REAL(wp) ::  gg                 !:
-    REAL(wp) ::  height_int         !:
-    REAL(wp) ::  height_p           !:
-    REAL(wp) ::  lagr_timescale     !:
-    REAL(wp) ::  location(1:30,1:3) !:
-    REAL(wp) ::  random_gauss       !:
-    REAL(wp) ::  u_int_l            !:
-    REAL(wp) ::  u_int_u            !:
-    REAL(wp) ::  us_int             !:
-    REAL(wp) ::  v_int_l            !:
-    REAL(wp) ::  v_int_u            !:
-    REAL(wp) ::  vv_int             !:
-    REAL(wp) ::  w_int_l            !:
-    REAL(wp) ::  w_int_u            !:
-    REAL(wp) ::  x                  !:
-    REAL(wp) ::  y                  !:
-    REAL(wp) ::  z_p                !:    
-
-    REAL(wp), DIMENSION(1:30) ::  d_gp_pl !:
-    REAL(wp), DIMENSION(1:30) ::  de_dxi  !:
-    REAL(wp), DIMENSION(1:30) ::  de_dyi  !:
-    REAL(wp), DIMENSION(1:30) ::  de_dzi  !:
-    REAL(wp), DIMENSION(1:30) ::  dissi   !:
-    REAL(wp), DIMENSION(1:30) ::  ei      !:
-
-    REAL(wp), DIMENSION(number_of_particles) ::  dens_ratio   !:
-    REAL(wp), DIMENSION(number_of_particles) ::  de_dx_int    !:
-    REAL(wp), DIMENSION(number_of_particles) ::  de_dy_int    !:
-    REAL(wp), DIMENSION(number_of_particles) ::  de_dz_int    !:
-    REAL(wp), DIMENSION(number_of_particles) ::  diss_int     !:
-    REAL(wp), DIMENSION(number_of_particles) ::  dt_particle  !:
-    REAL(wp), DIMENSION(number_of_particles) ::  e_int        !:
-    REAL(wp), DIMENSION(number_of_particles) ::  fs_int       !:
-    REAL(wp), DIMENSION(number_of_particles) ::  log_z_z0_int !:
-    REAL(wp), DIMENSION(number_of_particles) ::  u_int        !:
-    REAL(wp), DIMENSION(number_of_particles) ::  v_int        !:
-    REAL(wp), DIMENSION(number_of_particles) ::  w_int        !:
-    REAL(wp), DIMENSION(number_of_particles) ::  xv           !:
-    REAL(wp), DIMENSION(number_of_particles) ::  yv           !:
-    REAL(wp), DIMENSION(number_of_particles) ::  zv           !:
-
-    REAL(wp), DIMENSION(number_of_particles, 3) ::  rg !:
+    INTEGER(iwp) ::  agp                         !<
+    INTEGER(iwp) ::  gp_outside_of_building(1:8) !<
+    INTEGER(iwp) ::  i                           !<
+    INTEGER(iwp) ::  ip                          !<
+    INTEGER(iwp) ::  j                           !<
+    INTEGER(iwp) ::  jp                          !<
+    INTEGER(iwp) ::  k                           !<
+    INTEGER(iwp) ::  kp                          !<
+    INTEGER(iwp) ::  kw                          !<
+    INTEGER(iwp) ::  n                           !<
+    INTEGER(iwp) ::  nb                          !<
+    INTEGER(iwp) ::  num_gp                      !<
+
+    INTEGER(iwp), DIMENSION(0:7) ::  start_index !<
+    INTEGER(iwp), DIMENSION(0:7) ::  end_index   !<
+
+    REAL(wp) ::  aa                 !<
+    REAL(wp) ::  bb                 !<
+    REAL(wp) ::  cc                 !<
+    REAL(wp) ::  d_sum              !<
+    REAL(wp) ::  d_z_p_z0           !<
+    REAL(wp) ::  dd                 !<
+    REAL(wp) ::  de_dx_int_l        !<
+    REAL(wp) ::  de_dx_int_u        !<
+    REAL(wp) ::  de_dy_int_l        !<
+    REAL(wp) ::  de_dy_int_u        !<
+    REAL(wp) ::  de_dt              !<
+    REAL(wp) ::  de_dt_min          !<
+    REAL(wp) ::  de_dz_int_l        !<
+    REAL(wp) ::  de_dz_int_u        !<
+    REAL(wp) ::  diss_int_l         !<
+    REAL(wp) ::  diss_int_u         !<
+    REAL(wp) ::  dt_gap             !<
+    REAL(wp) ::  dt_particle_m      !<
+    REAL(wp) ::  e_int_l            !<
+    REAL(wp) ::  e_int_u            !<
+    REAL(wp) ::  e_mean_int         !<
+    REAL(wp) ::  exp_arg            !<
+    REAL(wp) ::  exp_term           !<
+    REAL(wp) ::  gg                 !<
+    REAL(wp) ::  height_int         !<
+    REAL(wp) ::  height_p           !<
+    REAL(wp) ::  lagr_timescale     !<
+    REAL(wp) ::  location(1:30,1:3) !<
+    REAL(wp) ::  random_gauss       !<
+    REAL(wp) ::  u_int_l            !<
+    REAL(wp) ::  u_int_u            !<
+    REAL(wp) ::  us_int             !<
+    REAL(wp) ::  v_int_l            !<
+    REAL(wp) ::  v_int_u            !<
+    REAL(wp) ::  vv_int             !<
+    REAL(wp) ::  w_int_l            !<
+    REAL(wp) ::  w_int_u            !<
+    REAL(wp) ::  x                  !<
+    REAL(wp) ::  y                  !<
+    REAL(wp) ::  z_p                !<    
+
+    REAL(wp), DIMENSION(1:30) ::  d_gp_pl !<
+    REAL(wp), DIMENSION(1:30) ::  de_dxi  !<
+    REAL(wp), DIMENSION(1:30) ::  de_dyi  !<
+    REAL(wp), DIMENSION(1:30) ::  de_dzi  !<
+    REAL(wp), DIMENSION(1:30) ::  dissi   !<
+    REAL(wp), DIMENSION(1:30) ::  ei      !<
+
+    REAL(wp), DIMENSION(number_of_particles) ::  dens_ratio   !<
+    REAL(wp), DIMENSION(number_of_particles) ::  de_dx_int    !<
+    REAL(wp), DIMENSION(number_of_particles) ::  de_dy_int    !<
+    REAL(wp), DIMENSION(number_of_particles) ::  de_dz_int    !<
+    REAL(wp), DIMENSION(number_of_particles) ::  diss_int     !<
+    REAL(wp), DIMENSION(number_of_particles) ::  dt_particle  !<
+    REAL(wp), DIMENSION(number_of_particles) ::  e_int        !<
+    REAL(wp), DIMENSION(number_of_particles) ::  fs_int       !<
+    REAL(wp), DIMENSION(number_of_particles) ::  log_z_z0_int !<
+    REAL(wp), DIMENSION(number_of_particles) ::  u_int        !<
+    REAL(wp), DIMENSION(number_of_particles) ::  v_int        !<
+    REAL(wp), DIMENSION(number_of_particles) ::  w_int        !<
+    REAL(wp), DIMENSION(number_of_particles) ::  xv           !<
+    REAL(wp), DIMENSION(number_of_particles) ::  yv           !<
+    REAL(wp), DIMENSION(number_of_particles) ::  zv           !<
+
+    REAL(wp), DIMENSION(number_of_particles, 3) ::  rg !<
 
     CALL cpu_log( log_point_s(44), 'lpm_advec', 'continue' )
